//-------------/\_/\_/\_/\_/\_/\_/\-------------
//			arduino 328P 16Mhz 5V
//
//            MEGADRIVE  SwitchVoxDuino
//
//            (c)2020 by 6502man
//
//-------------/\_/\_/\_/\_/\_/\_/\-------------
//     /      \
//     \      /
//     /      \
//     \      /
//    D11--<-390R->--Audio Out
//    D12------------Push Button-------GND
//    D04------------JP1
//    D05------------JP3
//    VCC(+5)--------Opposite JP2
//    GND------------Opposite JP3  
//     /      \
//     \      /
//     /      \
//     \      /
//---/\/\----/\/\----/\/\----
// permet d'écrire et lire sur EEPROM (100000 cycles write/erase)
#include <EEPROM.h>
//
//---/\/\----/\/\----/\/\----
// * Plays 8-bit PCM audio on pin 11 using pulse-width modulation (PWM).
// * For Arduino with Atmega168 at 16 MHz.
#include <PCM.h>
//
//---/\/\----/\/\----/\/\----
// samples
#include "JAPAN.H"      // zone = 0
#include "USA.H"        // zone = 1
#include "EUROPE.H"     // zone = 2
#include "Megadrive.H"  // MD

const int ActionButton = 12;        // input pin
const int Region = 4;        		// output pin
const int FreqZ = 5;        		// output pin

int Zone;     			//  variable Zone switch
int Start=1;   			//  si boot =1 sinon =0

void setup()
{
 pinMode(ActionButton, INPUT_PULLUP);
 pinMode(Region, OUTPUT);
 pinMode(FreqZ, OUTPUT);
 Zone=EEPROM.read(0);
 if (Zone>2) {Zone=0;}
 
}

void Update()
{
EEPROM.update(0,Zone);
delay(800);
}


void loop()
{

if ((digitalRead(ActionButton)==0)|| (Start==1))
 {
 
  if (Start==0) {  Zone++;  }
  Start=0;

  if (Zone>2){Zone=0;}
  
        switch (Zone)
        {
          case 0:
              digitalWrite(FreqZ,HIGH);
              digitalWrite(Region,LOW);
              startPlayback(MD, sizeof(MD));
              delay(1000);
              startPlayback(JAPAN, sizeof(JAPAN));
              Update();         
              break;
          case 1:
              digitalWrite(FreqZ,HIGH);
              digitalWrite(Region,HIGH);
              startPlayback(MD, sizeof(MD));
              delay(1000);
              startPlayback(USA, sizeof(USA));          
              Update(); 
              break;
          case 2:
              digitalWrite(FreqZ,LOW);
              digitalWrite(Region,HIGH);
              startPlayback(MD, sizeof(MD));
              delay(1000);
              startPlayback(EUROPE, sizeof(EUROPE));          
              Update(); 
              break;              
          default:
              break;
        } 
  }
  
}
